import { EventEmitter } from "../../stencil-public-runtime";
export declare class IntergiroTableRow {
  row: ({
    column: any;
    openable?: boolean;
    align?: "right" | "left";
  } | undefined)[];
  opened: string;
  index: number;
  identifier: string;
  value: any;
  selectable?: boolean;
  columnClicked: EventEmitter;
  selected: boolean;
  valueSelected: EventEmitter<{
    id: string;
    value: any;
    checked: boolean;
  }>;
  handleColumnClick(column: string): void;
  handleSelected(event: CustomEvent<{
    selected: boolean;
  }>): void;
  render(): any[];
}
